<%# <script src="//cdnjs.cloudflare.com/ajax/libs/pdf.js/1.8.349/pdf.min.js"></script> %>

<!-- Modal -->
<div class="modal fade" id="newEventModal" aria-labelledby="newEventModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="newEventModalLabel">Create an event</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" id='addNewEvent'>
         <%= render 'events/form' %>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="submit" form="newEvent" class="btn btn-primary">Create</button>
      </div>
    </div>
  </div>
</div>

<script>
	$(document).ready(function(){
		flatpickr('.startPicker', {
			enableTime: true,
			time_24hr: true,
			altInput: true,
			altFormat: 'd M Y H:i',
			dateFormat: 'Y-m-d H:i',
			onChange: function(selectedDates, dateStr, instance) {
				$('.endPicker').removeAttr('disabled')
				flatpickr('.endPicker', {
					enableTime: true,
					time_24hr: true,
					altInput: true,
					altFormat: 'd M Y H:i',
					dateFormat: 'Y-m-d H:i',
					minDate: selectedDates[0]
				})
			}
		})


		$('select:not(.normal)').each(function () {
			$(this).select2({
				ajax: {
					url: "/get_users.json",
					dataType: 'json',
					delay: 250,
					dropdownParent: $(this).parent(),
					width: 'resolve',
					data: function (params) {
						return {
							search_text: params, // search term
							page: params.page
						};
					},
					processResults: function (data, params) {
						params.page = params.page || 1;
						return { 
							results: $.map( data, function(user, i) { 
								return { id: user.id, text: user.first_name + ' ' + user.last_name +  ' (' + user.email + ')'  } 
							} ),
							pagination: {
								more: (params.page * 30) < data.length
							}
						}
					},
					cache: true
				},
				placeholder: 'Search for a member',
				minimumInputLength: 3,
			});
		});

		$('#event_event_users_attributes_0_user_id').on('select2:select', function (e) {
			var data = e.params.data;
			$("#speakers-list").append("<%= escape_javascript(render(:partial => 'events/speakers_list')) %>");
			$('.candidate-list-title h6').last().text(data['text'])
			$('.candidates-list').last().addClass('user-' + data['id'])
		});

		$('#event_event_users_attributes_0_user_id').on('select2:unselect', function (e) {
			var data = e.params.data;
			$('.'+ 'user-' + data['id']).remove()
		});
		
		// $("#ajax-users-list").select2({
    //   ajax: {
    //     url: "/get_users.json",
    //     dataType: 'json',
    //     delay: 250,
		// 		dropdownParent: $(this).parent(),
		// 		width: '100%',
    //     data: function (params) {
    //       return {
    //         search_text: params, // search term
    //         page: params.page
    //       };
    //     },
    //     processResults: function (data, params) {
    //       params.page = params.page || 1;
          
    //       return { 
    //         results: $.map( data, function(user, i) { 
    //           return { id: user.id, text: user.sofu_uniq_code+ ' ' + user.first_name + ' ' + user.last_name  +" ("+user.email+") "  } 
    //         } ),
    //         pagination: {
    //           more: (params.page * 30) < data.length
    //         }
    //       }
    //     },
    //     cache: true
    //   },
    //   placeholder: 'Search for a member',
    //   minimumInputLength: 8,
    // });


	})
</script>
